<script setup lang="ts">
import type { Student } from '@/entities';
defineProps<{
    student: Student
}>();
</script>

<template>
    <article :class="{hired:student.hired}">
        <h3>{{ student.name }}</h3>
        <p>{{ student.promo }}</p>
    </article>
</template>

<style scoped>
 article.hired {
     color: grey;
 }

</style>